const Layout = () => import("@/layout/index.vue");

export default {
  path: "/analysis",
  name: "analysis",
  component: Layout,
  meta: {
    title: "数据分析处理",
    icon: "Monitor",
  },
  redirect: "/analysis/task",
  children: [
    {
      path: "task",
      component: () => import("@/views/analysis/spc/index.vue"),
      name: "SPCTask",
      meta: {
        title: "SPC任务管理",
        icon: "Guide",
      },
    },
    {
      path: "spcrules",
      component: () => import("@/views/analysis/spcRules/index.vue"),
      name: "SPCrules",
      meta: {
        title: "SPC预警规则",
        icon: "Guide",
      },
      show: false,
    },
    {
      path: "process",
      component: () => import("@/views/analysis/process/index.vue"),
      name: "Process",
      meta: {
        title: "SPC控制图",
        icon: "Guide",
      },
    },
    {
      path: "task",
      name: "target",
      meta: {
        title: "过程能力指标",
        icon: "Guide",
      },
      children: [
        {
          path: "task",
          component: () => import("@/views/analysis/target/index/index.vue"),
          name: "Target",
          meta: {
            title: "过程能力指标",
            icon: "Guide",
          },
        },
      ],
    },
    {
      path: "sales",
      component: () => import("@/views/sales/index.vue"),
      name: "Sales",
      meta: {
        title: "销售反馈",
        icon: "Guide",
      },
    },
    {
      path: "charts",
      component: () => import("@/views/charts/index.vue"),
      name: "Charts",
      meta: {
        title: "图表分析",
        icon: "Guide",
      },
    },
  ],
};
